<?php
	include ('include/config.php');
	include ('include/admin_check.php');
	include ('include/functions.php');
	include ('include/menusor_include.php');


	$menuresz = szovegfeldolgoz($_GET["menuresz"]) ;
	if ($menuresz != "1" && $menuresz != "2" && $menuresz != "3" && $menuresz != "4") {
		$menuresz = $_COOKIE["valasztott_menuresz"] ;
		if ($menuresz != "1" && $menuresz != "2" && $menuresz != "3" && $menuresz != "4") {
			$menuresz = "1" ;
		}
	}
		
	setcookie( "valasztott_menuresz", $menuresz, strtotime( '+365 days' ) );
	
	$query = "select id from nyelvek where nyelv_rovid = '$alapertelmezett_nyelvkod'" ;
	$result = lekerdez($query) ;
	if (mysqli_num_rows($result) > 0) {
		$nyelv_id = mysqli_result($result, 0, "id") ;
		mysqli_free_result($result) ;
	}

	$menupontok = menustruktura(0,0, $menuresz) ;
	for ($i=0;$i<count($menupontok);$i++) {
		if ($menupontok[$i]["szulo"] != '0') {
			$menupontok[$i]["nev"] = csaladfa_kigyujtes($menupontok[$i]) ;
		}
	}	
/*
	$query = "select menupont_id, nev, suly from menupont_tartalmak, menupontok where menupontok.id = menupont_tartalmak.menupont_id and nyelv = '$nyelv_id' order by suly" ;
	$result = lekerdez($query) ;
	$menupontok = array() ;
	if (mysqli_num_rows($result) > 0) {
		while ($sor = mysqli_fetch_array($result)) {
			$menupontok[] = $sor ;
		}
		mysqli_free_result($result) ;
	}
*/	
?>
<!DOCTYPE html>

<html lang="hu">

  <head>

    <meta charset="utf-8">

    <meta name="viewport" content="width=device-width, initial-scale=1.0">

    <meta name="description" content="">

    <meta name="author" content="">



    <title><?php echo $admin_title;?> Admin: Oldalak, menüpontok listája</title>



    <!-- Bootstrap core CSS -->

    <link href="css/bootstrap.css" rel="stylesheet">



    <!-- Add custom CSS here -->

    <link href="css/sb-admin.css" rel="stylesheet">

    <link rel="stylesheet" href="font-awesome/css/font-awesome.min.css">

    <!-- Page Specific CSS -->

    <link rel="stylesheet" href="http://cdn.oesmith.co.uk/morris-0.4.3.min.css">

 
  </head>



  <body>



    <div id="wrapper">

	

	<?php include "inc_sidebar_top.php"?>      



      <div id="page-wrapper">



        <div class="row">

          <div class="col-lg-12">

            <h1>Oldalak, menüpontok listája</h1>

<?php
	if (count($_SESSION["hiba"]) > 0) {
		echo '<div class="col-lg-12">' ;
		foreach ($_SESSION["hiba"] as $hibasor) {
			$class = "alert-danger" ;
			if ($hibasor["tipus"] == "success") {
				$class = "alert-success" ;
			}
			echo '<div class="alert alert-dismissable ' . $class . '">'.$hibasor["szoveg"].'</div>' ;
		}		
		echo '</div>' ;
		unset($_SESSION["hiba"]) ;
	}
?>	
          </div>

        </div><!-- /.row -->





        <div class="row">

          <div class="form-group col-lg-4">

            <label>Listázandó menü</label>

            <select class="form-control" name="menuresz" id="menuresz" onChange="menuresz_valtas();">

              <option value="1" <?php if ($menuresz == "1") echo "selected";?>>Bal</option>

              <option value="2" <?php if ($menuresz == "2") echo "selected";?>>Felső</option>

              <option value="3" <?php if ($menuresz == "3") echo "selected";?>>Jobb</option>

              <option value="4" <?php if ($menuresz == "4") echo "selected";?>>Menün kívüli oldalak</option>

            </select>

          </div>        

                  

          <div class="col-lg-12">

            <div class="table-responsive">

              <table class="table table-bordered table-hover table-striped tablesorter">

                <thead>

                  <tr>

                    <th>Oldal név</th>

                    <th>Súly</th>

                    <th></th>

                  </tr>

                </thead>

                <tbody>
<?php
	for ($i=0;$i<count($menupontok);$i++) {
?>
                  <tr>

                    <td><?php echo $menupontok[$i]["nev"];?></td>

                    <td><?php echo $menupontok[$i]["suly"];?></td>

                    <td><button type="button" class="btn btn-default" onclick="javascript:page_edit('<?php echo $menupontok[$i]["id"];?>')">Módosít</button></td>

                  </tr>
<?php
}
?>

                </tbody>

              </table>      

            </div>

            

          </div>

        </div><!-- /.row -->





      </div><!-- /#page-wrapper -->



    </div><!-- /#wrapper -->



    <!-- JavaScript -->

    <script src="js/jquery-1.10.2.js"></script>
    <script src="js/bootstrap.js"></script>
    
	<script>
		$(document).ready(function() {
			$("#nav-pages").addClass("open") ;
		}) ;
		
		function page_edit(id) {
			document.location.href = "page-edit.php?id=" + id ;	
		}
		
		function menuresz_valtas() {
			document.location.href="pages-list.php?menuresz="+$("#menuresz").val();
		}		
				
	</script>   



    <!-- Page Specific Plugins -->

    <script src="http://cdnjs.cloudflare.com/ajax/libs/raphael/2.1.0/raphael-min.js"></script>

    <script src="http://cdn.oesmith.co.uk/morris-0.4.3.min.js"></script>

    <!--<script src="js/morris/chart-data-morris.js"></script>-->

    <script src="js/tablesorter/jquery.tablesorter.js"></script>

    <script src="js/tablesorter/tables.js"></script>



  </body>

</html>

